/******************************************************************/
/* ACM ICPC 2017-2018, NEERC                                      */
/* Northern Subregional Contest                                   */
/* St Petersburg, November 4, 2017                                */
/******************************************************************/
/* Problem F. Fygon 2.0                                           */
/*                                                                */
/* Original idea         Artem Vasilyev                           */
/* Problem statement     Artem Vasilyev                           */
/* Test set              Artem Vasilyev                           */
/******************************************************************/
/* Checker                                                        */
/*                                                                */
/* Author                Artem Vasilyev                           */
/******************************************************************/

import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

import static ru.ifmo.testlib.Outcome.Type.OK;
import static ru.ifmo.testlib.Outcome.Type.WA;

public class Check implements Checker {
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int userK = ouf.nextInt();
        int juryK = ans.nextInt();
        String userC = ouf.nextToken();
        String juryC = ans.nextToken();
        if (userK != juryK) {
            return new Outcome(WA, String.format("Wrong k: expected %d, found %d", juryK, userK));
        }
        if (!userC.equals(juryC)) {
            return new Outcome(WA, String.format("Wrong C: expected %s, found %s", juryC, userC));
        }
        return new Outcome(OK, juryK + " " + juryC);
    }
}

